package com.persagy.apm.alarmservice.group.alarmrule.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:35:45
 */
@Data
@ApiModel(value = "查询集团报警规则入参")
public class QueryGroupAlarmRuleDTO {
    @ApiModelProperty(value = "分组id", required = true)
    private String groupId;
    
    @ApiModelProperty(value = "报警条目编码", required = true)
    private String alarmItemCode;
    
    @ApiModelProperty(value = "报警条件id", required = true)
    private String alarmConditionId;
    
}
