package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@Data
@ApiModel(value = "项目监测指标配置返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectMonitorIndicatorConfigItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("监测对象id")
    private String objId;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("计算方式id")
    private String caculateMethodId;
    
    @ApiModelProperty("项目id")
    private String projectId;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
