package com.persagy.apm.alarmservice.project.monitorindicatorconfig.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:56
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询项目监测指标配置入参")
public class PageQueryProjectMonitorIndicatorConfigDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;
    
    @ApiModelProperty(value = "监测对象id", required = true)
    private String objId;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "计算方式id", required = true)
    private String caculateMethodId;
    
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;
    
}
